using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Thirdparty.VendorCategory.Cqrs;

public class UpdateVendorCategoryValidator : AbstractValidator<UpdateVendorCategoryRequest>
{
    public UpdateVendorCategoryValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required for update");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Category Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}